

#ifndef MEMVIEW_H__
#define MEMVIEW_H__

/*################### Enumerations ##################*/
enum MEMCOL{MEM_ADDR_COL,MEM_DATA_COL,MEM_TR_COL};

/*################## Globals ########################*/
extern GtkTreeModel *memview_model;
extern GtkTreeIter memview_iter;
extern GObject *codeview_ref; 

/*################ Structure for codeview refrence ###########*/
struct codeview_ref_info{
	GtkWidget *page;
	gchar *path;
};

/*################### Functions #####################*/
extern GtkWidget *gsim_get_memview_box( void );
extern void show_hide_memview(void);
extern void view_data_edited(GtkCellRendererText *cell,const gchar *path_string,const gchar *new_text,gpointer model);
extern void memview_scroll_to_address(gint x);
extern void gsim_memview_change_range(void);

#endif
